/* ====================================================================
 * OpenCMS Lucene Search Engine Integration
 * Copyright (C) 2002 AP Soft Ltd.
 * http:// www.apsoft.ch
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ====================================================================
*/

public class IndexFile {
	
	private String filePath;
	private String modified;
	private int fileType;
	
	public IndexFile(String path, String modified, int type) {
		filePath = path;
		this.modified = modified;
		fileType = type;
	}
	
	public String getPath() {
		return filePath;
	}
	public String getModified() {
		return modified;
	}
	public int getType() {
		return fileType;
	}
}

class IndexDocument {
	public int id;
	public String url;
	public String modified;
	
	public IndexDocument(int id, String url, String modified) {
		this.id = id;
		this.url = url;
		this.modified = modified;
	}
}